Foros del Web » Programando para Internet » PHP »

Necesito ayuda !!! Por favor !!

Estas en el tema de Necesito ayuda !!! Por favor !! en el foro de PHP en Foros del Web. Necesito programar en PHP para esto instale Red Hat 8 y PHP 4 y apache con MySQL .....solo que al hacer un programa con codigo ...
  #1 (permalink)  
Antiguo 16/11/2002, 10:54
Avatar de kamezen  
Fecha de Ingreso: junio-2001
Ubicación: México, D.F.
Mensajes: 128
Antigüedad: 16 años, 6 meses
Puntos: 0
Necesito ayuda !!! Por favor !!

Necesito programar en PHP para esto instale Red Hat 8 y PHP 4 y apache con MySQL

.....solo que al hacer un programa con codigo php no ejecuta nada !!! Desinstale el apache y el PHP y realice nuevamente el proceso de instalacion pero sigue igual !! ya consulte varios manuales en linea y verifique todos los parametros que ahi se indica pero nada !! el resultado es el mismo !!!

Que puedo hacer ????
__________________
No esperes a que tu Nación haga algo por ti !!! Mejor haz primero algo por tu Nación !!!
México-WEB
  #2 (permalink)  
Antiguo 16/11/2002, 11:21
Avatar de temaqueja  
Fecha de Ingreso: agosto-2002
Ubicación: /dev/null/
Mensajes: 399
Antigüedad: 15 años, 3 meses
Puntos: 4
Asumiendo que seas novato instalando Linux: comencemos por lo básico:

Comprueba esto:
Apache funciona? entra al navegador web en tu RedHat 8 y trata de acceder a la dirección "localhost" (sin comillas).
PHP funciona? haz un script de cualquier cosa y pruebalo.


Verifica esto:
¿que es lo que no funciona?
a. Apache
b. PHP
c. Mysql
d. ninguno :(

Si fué a.- Quizá la instalación no carga el demonio de apache ó httpd al iniciar el sistema, ingresa al linuxconf y verifica si está en funcionamiento y si no es actívalo.

Si fué b.- ¿cómo sabes que no funciona php?
* estos son algunas omisiones comunes luego de la instalación de apache/php/mysql:
* los archivos con código php deben tener extensión .php (a menos que especifiques otra cosa)
* al menos el archivo principal debe estar en el directorio usado por apache (comunmente htdocs/ ó httpdocs/ )

Otra pregunta sobre el problema (b.):
a. te muestra el código php que escribiste?
b. te muestra un error?
c. no te muestra nada?

Si fué c.- Se aplica lo mismo que con apache, verifica que el demonio mysqld esté activo en el linuxconf.

También, si elegiste c.- Significa que al menos un script php funciona, haz un escript con este código y ejecútalo <? phpinfo(); ?> te mostrará los modulos instalados y mucha información adicional, la idea es que veas si apache fué compilado con soporte para mysql.


Algo mas: Creo que esta respuesta se puede ampliar, corregir y mejorar para luego ser adicionada a las FAQS, siéntanse libres de corregirla si me equivoco en algo y mejorarla si saben algo más; luego la subimos a las F.A.Q. con los créditos de todos los que participen en su mejora (que les parece?), la idea sería englobar en una sola pregunta del FAQ los errores mas comunes.
__________________
_________________________
La computadora nació para resolver problemas que antes no existían
  #3 (permalink)  
Antiguo 16/11/2002, 11:21
 
Fecha de Ingreso: noviembre-2002
Mensajes: 20
Antigüedad: 15 años, 1 mes
Puntos: 0
El problema es que php no es un lenguaje visual, en parte. Yo te recomindo que hagas lo mismo que yo, te instalas el programa php master editor 2.1, con cual puedes ver el resultado de tu pagina en el modo view.
  #4 (permalink)  
Antiguo 16/11/2002, 11:42
Avatar de kamezen  
Fecha de Ingreso: junio-2001
Ubicación: México, D.F.
Mensajes: 128
Antigüedad: 16 años, 6 meses
Puntos: 0
Habiendo verificado !!! Tengo la seguridad de que apache funciona !! Lo acceso desde WebMin y entra correctamente !!! MySQL funciona puesto que ya tengo una base de datos creada !!!

El problema es PHP ya que no ejecuta absolutamente nada !! Ni siquiera el <?phpinfo(); ?>
que es el programa para verificarlo !!!

Que puedo revisar ???

__________________
No esperes a que tu Nación haga algo por ti !!! Mejor haz primero algo por tu Nación !!!
México-WEB
  #5 (permalink)  
Antiguo 16/11/2002, 14:09
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Revisa el apartado instalación de php.

http://www.php.net/manual/es/install-unix.php

Sobre todo .. edita tu httpd.conf .. y mira si hay alguna referencia a PHP por algún lado .. PHP no se instala solo . ademas hay q "informar" al Servidor HTTP q uses (Apache en este caso) que lo use cuando se le pida una pagina .php y en consecuencia la ejecute y no la "tire" como HTML comun ...

Un saludo,
  #6 (permalink)  
Antiguo 18/11/2002, 14:51
Avatar de kamezen  
Fecha de Ingreso: junio-2001
Ubicación: México, D.F.
Mensajes: 128
Antigüedad: 16 años, 6 meses
Puntos: 0
Creo que te refieres a que indique a Apache que use el modulo de php, eso ya lo hice !!! no se que otra cosa tenga que hacer !! en el httpd.conf ya revise los parametros pero tampoco, no hace nada !!!

Que estara pasando ????
__________________
No esperes a que tu Nación haga algo por ti !!! Mejor haz primero algo por tu Nación !!!
México-WEB
  #7 (permalink)  
Antiguo 21/11/2002, 14:23
Avatar de kamezen  
Fecha de Ingreso: junio-2001
Ubicación: México, D.F.
Mensajes: 128
Antigüedad: 16 años, 6 meses
Puntos: 0
Reinstale el Apache y el PHP y voy a intentar de nuevo !!! Espero que ahora si funcione !!!
__________________
No esperes a que tu Nación haga algo por ti !!! Mejor haz primero algo por tu Nación !!!
México-WEB
  #8 (permalink)  
Antiguo 21/11/2002, 18:18
Avatar de kamezen  
Fecha de Ingreso: junio-2001
Ubicación: México, D.F.
Mensajes: 128
Antigüedad: 16 años, 6 meses
Puntos: 0
Ejecuto el navegador y abro un archivo llamado ejem.php que tiene la funcion phpinfo() pero me muestra el codigo del programa !!!!

Ya revise el php.ini !!!

Di rpm -qa | grep php y estos son los paquetes que tengo instalados !!!

php-ldap-4.2.2-8.0.5
php-imap-4.2.2-8.0.5
php-pgsql-4.2.2-8.0.5
php-4.2.2-8.0.5
__________________
No esperes a que tu Nación haga algo por ti !!! Mejor haz primero algo por tu Nación !!!
México-WEB
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 00:45.